

extern decls in .c files are evil.  Put the send_sigio(), fcntl_setlease()
and fcntl_getlease() into fs.h.




 25-akpm/fs/dnotify.c       |    2 --
 25-akpm/fs/fcntl.c         |    4 +---
 25-akpm/include/linux/fs.h |    4 ++++
 25-akpm/kernel/futex.c     |    3 +--
 4 files changed, 6 insertions(+), 7 deletions(-)

diff -puN fs/dnotify.c~send_sigio-decl-fix fs/dnotify.c
--- 25/fs/dnotify.c~send_sigio-decl-fix	Thu Aug 28 11:46:52 2003
+++ 25-akpm/fs/dnotify.c	Thu Aug 28 11:47:08 2003
@@ -20,8 +20,6 @@
 #include <linux/spinlock.h>
 #include <linux/slab.h>
 
-extern void send_sigio(struct fown_struct *fown, int fd, int band);
-
 int dir_notify_enable = 1;
 
 static rwlock_t dn_lock = RW_LOCK_UNLOCKED;
diff -puN kernel/futex.c~send_sigio-decl-fix kernel/futex.c
--- 25/kernel/futex.c~send_sigio-decl-fix	Thu Aug 28 11:46:52 2003
+++ 25-akpm/kernel/futex.c	Thu Aug 28 11:47:27 2003
@@ -28,6 +28,7 @@
  */
 #include <linux/slab.h>
 #include <linux/poll.h>
+#include <linux/fs.h>
 #include <linux/file.h>
 #include <linux/hash.h>
 #include <linux/init.h>
@@ -61,8 +62,6 @@ struct futex_q {
 static struct list_head futex_queues[1<<FUTEX_HASHBITS];
 static spinlock_t futex_lock = SPIN_LOCK_UNLOCKED;
 
-extern void send_sigio(struct fown_struct *fown, int fd, int band);
-
 /* Futex-fs vfsmount entry: */
 static struct vfsmount *futex_mnt;
 
diff -puN include/linux/fs.h~send_sigio-decl-fix include/linux/fs.h
--- 25/include/linux/fs.h~send_sigio-decl-fix	Thu Aug 28 11:46:52 2003
+++ 25-akpm/include/linux/fs.h	Thu Aug 28 11:49:22 2003
@@ -609,6 +609,10 @@ extern int fcntl_getlk64(struct file *, 
 extern int fcntl_setlk64(struct file *, unsigned int, struct flock64 __user *);
 #endif
 
+extern void send_sigio(struct fown_struct *fown, int fd, int band);
+extern int fcntl_setlease(unsigned int fd, struct file *filp, long arg);
+extern int fcntl_getlease(struct file *filp);
+
 /* fs/locks.c */
 extern void locks_init_lock(struct file_lock *);
 extern void locks_copy_lock(struct file_lock *, struct file_lock *);
diff -puN fs/fcntl.c~send_sigio-decl-fix fs/fcntl.c
--- 25/fs/fcntl.c~send_sigio-decl-fix	Thu Aug 28 11:52:09 2003
+++ 25-akpm/fs/fcntl.c	Thu Aug 28 11:52:13 2003
@@ -6,6 +6,7 @@
 
 #include <linux/init.h>
 #include <linux/mm.h>
+#include <linux/fs.h>
 #include <linux/file.h>
 #include <linux/dnotify.h>
 #include <linux/smp_lock.h>
@@ -18,9 +19,6 @@
 #include <asm/siginfo.h>
 #include <asm/uaccess.h>
 
-extern int fcntl_setlease(unsigned int fd, struct file *filp, long arg);
-extern int fcntl_getlease(struct file *filp);
-
 void set_close_on_exec(unsigned int fd, int flag)
 {
 	struct files_struct *files = current->files;

_
